Opened 9 years ago

Closed 9 years ago

Last modified 10 months ago

#5576 closed defect (fixed)

WIN32: Console output missing

Reported by: SF/vakons Owned by: Kirben
Priority: low Component: Port: Win32
Keywords: Cc:
Game:

Description

It seems that console output was disabled in latest SVN builds for Windows.
The console window is not displayed, and even when started from command line, no output is shown.

Is it possible to optionally keep the console messages, for example with command line switch?
They are really helpful when FluidSynth can't use a soundfont, or a game can not be detected, after a crash, etc.
Besides, help can not be shown as well.

By the way, thanks for the awesome project!

Ticket imported from: #3157298. Ticket imported from: bugs/5576.

Change History (10)

comment:1 Changed 9 years ago by SF/vakons

Priority: normallow

comment:2 Changed 9 years ago by SF/vakons

I mean a Windows console-mode output, not the internal debugging console.

comment:3 Changed 9 years ago by lordhoto

Are you using the builds from our downloads page or the ones from buildbot? I think the ones from buildbot never had any console window enabled.

Anyway the latest SVN builds should create a log file in %APPDATA%\ScummVM\Logs, but it only contains the output from the last ScummVM run.

comment:4 Changed 9 years ago by SF/vakons

I'm using daily builds. It was changed only in some recent builds -
55069 (30.12.2010) had window, and 55221 (13.01.2011) - does not.

The log contains only "opened" and "closed" events:
[2011-00-13 21:23:45] ScummVM 1.3.0svn55069 (Dec 31 2010 10:05:44)
[2011-00-13 21:23:45] Vorbis FLAC MP3 RGB zLib FluidSynth Theora
[2011-00-13 21:23:45] --- Log opened.
[2011-00-13 21:23:45] --- Log closed successfully.

The last 55223 build produces same log.

A console window showed warnings, for example "fluidsynth: warning: Instrument not found..."
or a "game seems to be unknown. Please, report the following data..." messages.

Now any output is disabled, even "--help" switch doesn't work.
Actually, I tried to look for currently available command line switches, and found this.

comment:5 Changed 9 years ago by SF/vakons

Correction: recent build's log does contain some additional info:
[2011-00-13 23:11:35] ScummVM 1.3.0svn55223 (Jan 13 2011 22:58:24)
[2011-00-13 23:11:35] Vorbis FLAC MP3 RGB zLib FluidSynth Theora
[2011-00-13 23:11:35] --- Log opened.
[2011-00-13 23:11:51] WARNING: FIXME: Incomplete SCI3 detection: setting map and volume version to SCI3!
[2011-00-13 23:11:51] WARNING: TODO: findSierraGameId(): SCI3 equivalent!
[2011-00-13 23:12:33] --- Log closed successfully.

But unknown games hashes are not logged anyway, and no command line help.
And months seems to be counted from zero in log, though it's not a problem.

comment:6 Changed 9 years ago by SF/vakons

In sum:
- hashes of unknown game resources are not logged
(they were showed in console in 55069 build);
- FluidSynth warnings are not logged too;
- command line help doesn't work due to disabled console output.

comment:7 Changed 9 years ago by Kirben

I recently re-compiled SDL, which reset my sdl-config settings.

Use the current Windows snapshot of ScummVM SVN, which shows the console again.

comment:8 Changed 9 years ago by Kirben

Component: --Unset--
Owner: set to Kirben
Resolution: fixed
Status: newclosed
Summary: Win32 console output missingWIN32: Cconsole output missing

comment:9 Changed 9 years ago by lordhoto

Summary: WIN32: Cconsole output missingWIN32: Console output missing

comment:10 Changed 10 months ago by digitall

Component: --Unset--Port: Win32
Note: See TracTickets for help on using tickets.